commit:     31c90a2ef45d4606165d8b2196bf46f712f4aa41
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 16 01:23:43 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Apr 16 01:23:43 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31c90a2e

dev-python/distlib: Version bump to 0.2.4

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/distlib/Manifest             |  1 +
 dev-python/distlib/distlib-0.2.4.ebuild | 53 +++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/distlib/Manifest b/dev-python/distlib/Manifest
index d9c5b3272e9..812bf658aa3 100644
--- a/dev-python/distlib/Manifest
+++ b/dev-python/distlib/Manifest
@@ -1,2 +1,3 @@
 DIST distlib-0.2.1.zip 542424 SHA256 
d91dc4a509ca50d1ba796ba1c4b23d5587f082d8a886856544546c88f4d9a685 SHA512 
f6453585650db242ad4a176bbd468cc6069ee0941b6ea23f24fc32000778097d8a100de82eaad7b3d8d998dc153d25f537505c7eefcc6f98f37995cfc9d5be77
 WHIRLPOOL 
86c2eb318c9df8233847b5ded3370d77ed71fab22067f4fa039531d5a3df2ede463e1688d920401a0870e4359f18f8d765230c72e71be1458e5db14de153ad8d
 DIST distlib-0.2.2.zip 544724 SHA256 
ddd173fc2ce7491c5dc92ac69b3cf2702e9885677b1d5f1c877a36f4dd5b9b6c SHA512 
399469376eebbedf288ebc04c0d551c75b3656d8aeb87bae02c7e2542e41018bd50ec28d76a99b293b10b941e0e7735841e5e13512acccc9fdb2af0044c970ee
 WHIRLPOOL 
fc9498233c31a33eb8c351c3af4ec75809c0484af302f8041cd7b3aeb28f90f4a9cbb9fab514bebda1ad127d4a1e89f8714ae771eb103277850aaa5cbb27be7f
+DIST distlib-0.2.4.zip 547411 SHA256 
ee0966c613d04b19e425367b238c0a426ef34a43e1e0ffa6b16f781045d2a2a3 SHA512 
03f9f9474578226e1a40a85a490aead3ec0509ba444856a263d4f25b3c86b5f919a3e18ff715a3a329d80a3f20a540b8c57a6e3dff55703c9cce730e2d021084
 WHIRLPOOL 
5dc9abf490bfccfc86c3092193d56963bef71a3f426f40b1e7dfdb9d2c45da7751488dff4213487e8a84871318a3379a7f122b1350f561cd7a195dd7ed7d45da

diff --git a/dev-python/distlib/distlib-0.2.4.ebuild 
b/dev-python/distlib/distlib-0.2.4.ebuild
new file mode 100644
index 00000000000..81c0a6d1676
--- /dev/null
+++ b/dev-python/distlib/distlib-0.2.4.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3  )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Distribution utilities"
+HOMEPAGE="https://pypi.python.org/pypi/distlib 
https://bitbucket.org/vinay.sajip/distlib https://github.com/vsajip/distlib";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="app-arch/unzip"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.2.2-unbundle.patch
+)
+
+python_prepare_all() {
+       rm -r \
+               distlib/*.exe \
+               distlib/_backport \
+               tests/test_shutil.py* \
+               tests/test_sysconfig.py* || die
+
+       distutils-r1_python_prepare_all
+
+       # Broken tests
+       # 1 fails due to it being sensitive to dictionary ordering
+       # inconsistency between code and test
+       sed \
+               -e 's:test_dependency_finder:_&:g' \
+               -i tests/*py || die
+
+       # Gentoo still doesn't report correct ABI
+       sed \
+               -e 's:test_abi:_&:g' \
+               -i tests/*py || die
+}
+
+python_test() {
+       sed \
+               -e '/PIP_AVAILABLE/s:True:False:g' \
+               -i tests/*py || die
+       SKIP_ONLINE=True PYTHONHASHSEED=0 esetup.py test
+}

Reply via email to